<?php
############################################################################
####################### Lightning 2000 Display Script ######################
############################################################################
/*           L2k now has a script to display its information			  */
############################################################################
############################### Version History ############################
############################################################################
/* October 12 2010-- Version 1 released!								  */
/* December 29 2010 -- Version 1.2 released!							  */
/* January 15 2011-- Version 1.21 released!								  */
/* March 8 2011 -- Version 1.30 released!								  */
/* April 22 2011 -- Version 1.35 released!								  */
/* May 5 2011 -- Version 1.40 Beta1 released!.							  */
/*																		  */
################################## Settings ################################
############################################################################

############################## Page Mode Settings ##########################
//Settings below only apply when standalone page is enabled.
//Put the Page into standalone mode without requiring the PHP Caterlake Template
$standalone = false;

//The Location of the css file that the standalone page will use.
$csslocation = 'wxl2k.css';
############################### General Settings ###########################
//The Title for the Lightning Page: 
$pagetitle = "Lightning Detection Page";

//If you have NOT configured L2k to have an analysis overlay set this to false.
$showanalysis = true;

//Enable Ajax Updates:
$ajaxupdates = true;

//Enable Automatic Map Updates:
$mapupdates = true;

//Enable Storm Listings
$stormprint = true;

//Map Reload Time (seconds):
$mapreloadtime = 60;

//Threat Assesment Map Reload Time (seconds):
//this shouldnt need to be updated as frequently as the live lightning map:
$threatassesreloadtime = 180;

//Map Reload Frequency before timeout:
$mapreloadfreq = 20;

//Do you have a LD250? True for yes, False for no:
$ld250 = false;

//Enable raw lightning output? True for yes false for no:
$rawlightning = true;

//Enable Threat Assesment Output? True for yes and false for no:
$threatassesment = true;

//NOTE: The following settings have a path to them if you need to go back 1 folder
// use the .. eg: '../testing.txt

//The Location to your your l2k AJAX file:
$ajaxloc = 'ajaxl2kwx.js';

//The Location to your Custom Summary Text File:
//Eg: ./mysummary.txt for root or ./ajax-images/mysummary.txt for sub dir
$customfilelocation = './Lightning/mysummary.txt';

//The Location to your Nowcast file:
//Eg: ./nowcast.txt for root or ./ajax-images/nowcast.txt for sub dir
$nowcastlocation = './Lightning/nowcast.txt'; 

//The location to your Detector StatusText file:
$detectorstatus = './Lightning/detectorstatus.txt';

//The Location to your l2k Images:
$l2kimageloc = './ajax-images/l2k-images/';

//The Location to your Lightning Map:
$lightningmaploc = './lightning.png';

//The Location to your Raw Lightning Map:
$lightningmaprawloc = './lightningraw.png';

//The Location to your Threat Assesment Image:
$threatassesmaploc = './threatasses.png';

//Where the storm key images are located:
$stormkeyimageloc = './ajax-images/l2k-images/';

$ajaximagesloc ='./ajax-images/';//Leave a slash at the end.

############################## Key Colour Settings #############################

//Text that will be put in the first key (make sure this is the same as your l2k settings)
$timeone = '5 sec';
//Background Colour:
$colourone = '#FFFFFF';
//Text Colour:
$textcolourone = '#000000';
//Border Colour:
$bordercolourone = '#000000';

//Text that will be put in the second key (make sure this is the same as your l2k settings)
$timetwo = '1 min';
//Background Colour:
$colourtwo = '#FFD92F';
//Text Colour:
$textcolourtwo = '#000000';
//Border Colour:
$bordercolourtwo = '#FFFFFF';

//Text that will be put in the third key (make sure this is the same as your l2k settings)
$timethree = '6 min';
//Background Colour:
$colourthree = '#FF9B26';
//Text Colour:
$textcolourthree = '#FFFFFF';
//Border Colour:
$bordercolourthree = '#FFFFFF';

//Text that will be put in the fourth key (make sure this is the same as your l2k settings)
$timefour = '15 min';
//Background Colour:
$colourfour = '#FF7620';
//Text Colour:
$textcolourfour = '#FFFFFF';
//Border Colour:
$bordercolourfour = '#FFFFFF';

//Text that will be put in the fifth key (make sure this is the same as your l2k settings)
$timefive = '30 min';
//Background Colour:
$colourfive = '#FF4A19';
//Text Colour:
$textcolourfive = '#FFFFFF';
//Border Colour:
$bordercolourfive = '#FFFFFF';

//Text that will be put in the sixth key (make sure this is the same as your l2k settings)
$timesix = '60 min';
//Background Colour:
$coloursix = '#BC0F0B';
//Text Colour:
$textcoloursix = '#FFFFFF';
//Border Colour:
$bordercoloursix = '#FFFFFF';

###################### Region Warning  Settings ########################
//Only use this advanced feature if you have calibrated your boltek to a good/high standard.
//It is suggested that you only use this feature for regions in the Yellow and Red Alert Ranges on the Lightning Map.
$regionwarn = true;

//The location to your regionwarn.txt document (if you have enabled region warning)
$regionwarnloc = './Lightning/regionwarn.txt';

//The regions covered by L2ks Lightning Detected In Feature:
//Ensure these Settings are 100% correct and in order of how they appear in the custom summary document please!
$regionscovered = array ('Location1', 'Location2');

###################### U.S Lightning Forecast Settings ########################

//Show the Lightning Forecast Image? True for yes and False for No.
//Applies for the United States only!
$showlightningforecast = false;

//The Location where the Lightning Forecast Image comes from:
//Northeast U.S: http://www.nws.noaa.gov/mdl/radar/NE_probltg.gif
//Southeast U.S: http://www.nws.noaa.gov/mdl/radar/SE_probltg.gif
//North Central U.S: http://www.nws.noaa.gov/mdl/radar/NC_probltg.gif
//South Central U.S: http://www.nws.noaa.gov/mdl/radar/SC_probltg.gif
//North West U.S: http://www.nws.noaa.gov/mdl/radar/NW_probltg.gif
//South Weast U.S: http://www.nws.noaa.gov/mdl/radar/SW_probltg.gif
$lightimageorgloc = 'http://www.nws.noaa.gov/mdl/radar/SC_probltg.gif';

//The Location and Name where the image cache script is:
$lighscriptloc = 'Lightningforecast.php';

//The Destination Location you want the cached image to put in::
$lightimagedestloc ='./ajax-images/Rain-Radar-Images/lightningforecast.gif';

//How long the Lightning Forecast Image will last for in seconds:
//Default: 10800 or 3 hours.
$cachetime = 10800;

//Lightning Forecast Image Width in Pixels
$width = 640;

//Lightning Forecast Image Height in Pixels
$height = 480;

########################### Graph Settings ##################################
//Would You like to plot the Graph or not? True for yes, false for no.
$plotgraph = true;

//Would you like to plot noises on the graph? True for yes and flase for no.
//You may want to make this false if your boltek picks up alot of noises.
$graphnoises = true;

//Noise Colour:
$noisecolor = '#081474';

//Stroke Colour:
$strokecolour = '#BA040D';

//Flash Colour:
$flashcolour = '#DD7213';

//Graph Colour Settings:
$backgroundcolour ='#333';

//Border colour im hexadecimal or engish
$bordercolour = '#000000';

//Plotted Background colour im hexadecimal or engish or RGB
$plottedbackcolour = 'rgba(255, 255, 255, .1)'; //I suggest not to change this
//original just in case you do change and want to revert: rgba(255, 255, 255, .1)

//Plotted Border colour im hexadecimal or engish
$plottedbordercolour ='#CCCCCC';

//Show a shadow on the Graph? True = Yes, False = No.
$plotshadow = true;

//The Colour of the Title of the Chart
$titlecolour = '#FFFFFF';

//The URL to Google's API Jquery script: (used for graphs only)
//Original: http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js
$googleapiurl = 'http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js';

//The Location to your Highcharts Javascript file:
$highchartsjsloc = './Site-Content-Addons/Wxsim-Meteogram/Javascript/highchartslight.js';

//The Location to excanvas.pack Javascript file:
//This file comes in use when IE is the browser on the visitors machine.
$excanvasloc = './Site-Content-Addons/Wxsim-Meteogram/Javascript/excanvas.pack.js';


############################################################################
############################## End Settings ################################
############################################################################
######### Dont Alter code below unless you know what your doing ############
############################## Start Coding ################################
############################################################################
if(file_exists($customfilelocation)) {
	$grabcontents = file_get_contents($customfilelocation);
	$lightningdata = explode('|',$grabcontents);
} 
else
{
	echo '<br/><center><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>Darn it! I think we have an issue!</b>&nbsp;&nbsp;&nbsp;</span><br/><br/><span style="border: solid 1px; color: #FFFFFF; border-color: #FFFFFF; background-color: #BA040D;">&nbsp;&nbsp;&nbsp;<b>The location to the Custom Summary Data file is incorrect!</b>&nbsp;&nbsp;&nbsp;</span></center><br/>';
}
//Get file times of the two files to check if they are stale or not:
$getdatage = filemtime($customfilelocation);
$calcdatage = (time() - $getdatage);

$getmapage = filemtime($lightningmaploc);
$calcmapage = (time() - $getmapage);
 
############################################################################
############################## End Coding ##################################
############################################################################
?>